io.undertow.server.handlers.form

## Class FormParserFactory

- java.lang.Object
- - io.undertow.server.handlers.form.FormParserFactory

    public class FormParserFactory
    extends Object

Factory class that can create a form data parser for a given request.

It does this by iterating the available parser definitions, and returning the first parser that is created.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `FormParserFactory.Builder`
`static interface` `FormParserFactory.ParserDefinition<T>`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FormParserFactory.Builder` `builder()`
`static FormParserFactory.Builder` `builder(boolean includeDefault)`
`FormDataParser` `createParser(HttpServerExchange exchange)` Creates a form data parser for this request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createParser

    public FormDataParser createParser(HttpServerExchange exchange)

Creates a form data parser for this request. If a parser has already been created for the request the existing parser will be returned rather than creating a new one.

Parameters:
  `exchange` - The exchange
Returns:
  A form data parser, or null if there is no parser registered for the request content type

#### builder

    public static FormParserFactory.Builder builder()

#### builder

    public static FormParserFactory.Builder builder(boolean includeDefault)